Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 973211 - Fedora19:rwho does not return user details instantly.
Fedora19:rwho does not return user details instantly.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
ppc64 All
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 09:15 EDT by IBM Bug Proxy
Modified: 2015-02-17 10:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:32:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 93837 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-06-11 09:15:46 EDT
Problem Decription 
--------------------------------------
rwho supposed to return the users "who is logged in on local machines for all machines on the local network" same as who and finger

Then to the Fedora19 lpar, one user ssh session is created from local network and 2 ssh sessions are created from remote network.

The rwho output is not reflected immediately unlike 'who' and 'finger'. 

who/finger command returns like this
[root@localhost /]# who
root     hvc0         2013-05-23 05:49
root     pts/0        2013-05-23 06:07  (machine from remote network)
root     pts/1        2013-05-23 06:46 (machine from local network
root     pts/2        2013-05-23 06:48 (machine from remote network)
[root@localhost /]# finger
Login     Name       Tty      Idle  Login Time   Office     Office Phone   Host
root      root       hvc0     1:16  May 23 05:49           
root      root       pts/0          May 23 06:07                           (machine from remote network)
root      root       pts/1      36  May 23 06:46                           (machine from localnetwork)
root      root       pts/2      32  May 23 06:48                           (machine from remote network)


== Comment: #2 - Sanjeev Patro <sanpatr1@in.ibm.com> - 2013-05-24 03:15:01 ==
kernel version
# uname -a
Linux localhost.localdomain 3.9.2-301.fc19.ppc64p7 #1 SMP Mon May 13 09:20:53 MST 2013 ppc64 ppc64 ppc64 GNU/Linux
version of rwho
rwho-0.17-50.fc19.ppc64

== Comment: #4 - Sanjeev Patro <sanpatr1@in.ibm.com> - 2013-05-24 10:40:13 ==
(In reply to comment #3)
> service rwhod status
> Redirecting to /bin/systemctl status  rwhod.service
> rwhod.service - Remote Machine Logged In User Lister
> 	  Loaded: loaded (/usr/lib/systemd/system/rwhod.service; disabled)  
> ---------> Shows disabled.
> 	  Active: inactive (dead)   ----> service is inactive. 
> 
> 
> Can you please check if the rwho is disabled ? Please enable it and check
> for the issue. 
> 
> Thanks.

rwho does not reflect the current users login/logout instantly as who and finger does. it takes some time to reflect.
1> I logged into the system as root, rwho shows like this
[root@localhost ~]# rwho
root     localhost:pts/0 May 24 06:05

2> Then I tried to login as root1 in another session, rwho still shows

[root@localhost ~]# rwho
root     localhost:pts/0 May 24 06:05

3> Then I looged in as root2 in another session, rwho still shows
[root@localhost ~]# rwho
root     localhost:pts/0 May 24 06:05

Output
These other users are getting reflected in rwho after a long time may be after 10 minutes or else after restarting the rwhod service. But in this case who and finger act immediately.


It should act instantly as other login sessions opened, like below
[root@localhost ~]# rwho
root     localhost:pts/0 May 24 06:19
root1    localhost:pts/2 May 24 06:33
root2    localhost:pts/3 May 24 06:33


This problem holds same for logout condition also.


== Comment: #9 - Vaishnavi Bhat <vaish123@in.ibm.com> - 2013-06-03 06:23:29 ==
As per the discussion on ST, 
The issue is seen on F19 Beta as well.
Comment 1 IBM Bug Proxy 2013-10-22 05:10:48 EDT
------- Comment From vaish123@in.ibm.com 2013-10-22 09:06 EDT-------
This behaviour is still reproducible in Fedora20 Alpha.

[root@juno-ioxc1-lp3 ~]# uname -a
Linux juno-ioxc1-lp3.austin.ibm.com 3.11.4-301.fc20.ppc64p7 #1 SMP Thu Oct 10 11:24:10 MST 2013 ppc64 ppc64 ppc64 GNU/Linux
[root@juno-ioxc1-lp3 ~]# rwho
[root@juno-ioxc1-lp3 ~]#
Comment 2 IBM Bug Proxy 2014-10-08 07:10:46 EDT
------- Comment From vaish123@in.ibm.com 2014-10-08 11:04 EDT-------
Any updates on the bug ?
Comment 3 Fedora End Of Life 2015-01-09 13:23:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:32:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.